// ignore_for_file: constant_identifier_names

import 'package:sis_flutter/models/actividad_model.dart';
import 'package:sis_flutter/models/models.dart';

class PrioridadesPersonaResponse extends Basico {
  final List<Actividad> detalle;

  PrioridadesPersonaResponse({
    required this.detalle,
  });
}

class Tarea extends Basico {
  final int? idActividad;
  final String? idUsuario;
  final String? contenido;
  final String? idTareaPadre;
  final DateTime? terminado;
  final int? posicion;
  final String? urgencia;
  final String? idCreador;
  final String? testing;
  final String? iops;
  final String? soporte;
  final int? prioridad;

  Tarea({
    super.id,
    super.creado,
    super.idLocal,
    super.eliminado,
    super.modificado,
    this.idActividad,
    this.idUsuario,
    this.contenido,
    this.idTareaPadre,
    this.terminado,
    this.posicion,
    this.urgencia,
    this.idCreador,
    this.testing,
    this.iops,
    this.soporte,
    this.prioridad,
  });

  factory Tarea.fromJson(Map<String, dynamic> json) {
    return Tarea(
      id: Basico.parseString(json["id"]),
      idActividad: Basico.parseInt(json["id_actividad"]),
      idUsuario: Basico.parseString(json["id_usuario"]),
      contenido: Basico.parseString(json["contenido"]),
      idTareaPadre: Basico.parseString(json["id_tarea_padre"]),
      terminado: Basico.parseDate(json["terminado"]),
      posicion: Basico.parseInt(json["posicion"]),
      urgencia: Basico.parseString(json["urgencia"]),
      creado: Basico.parseDate(json["creado"]),
      eliminado: Basico.parseDate(json["eliminado"]),
      idCreador: Basico.parseString(json["idCreador"]),
      testing: Basico.parseString(json["testing"]),
      iops: Basico.parseString(json["iops"]),
      soporte: Basico.parseString(json["soporte"]),
      prioridad: Basico.parseInt(json["prioridad"]),
    );
  }

  @override
  Map<String, dynamic> toJson() => {
        "id": id,
        "id_actividad": idActividad,
        "id_usuario": idUsuario,
        "contenido": contenido,
        "id_tarea_padre": idTareaPadre,
        "terminado": terminado,
        "posicion": posicion,
        "urgencia": urgencia,
        "creado": creado,
        "eliminado": eliminado,
        "id_creador": idCreador,
        "testing": testing,
        "iops": iops,
        "soporte": soporte,
        "prioridad": prioridad,
      };
}
